<?php

namespace RosreestrGeomToWKT;

class WktUtilites
{
    /**
    * @param array $arr
    * @return boolean
    */
    public static function validateArray($arr)
    {
        if ($arr) {
            if (is_array($arr)) {
                if (count($arr) !== 0) {
                    return true;
                }
            }
        }
        return false;
    }

    /**
    * @param object $ordinate
    * @return array
    */
    public static function getValidCoordinates($ordinate)
    {
        if ($ordinate) {
            if (isset($ordinate->x) && isset($ordinate->y)) {
                if ($ordinate->x && $ordinate->y) {
                    return ['x' => $ordinate->x, 'y' => $ordinate->y];
                }
            }
        }
        return false;
    }
}
